Package: groovy.lang

## [Java] Interface GroovyResourceLoader

-     public interface GroovyResourceLoader

  Allows frameworks that integrate with Groovy to determine how Groovy files are resolved.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public URL` | `loadGroovySource(String filename)` Loads a Groovy source file given its name.

- - ### Method Detail

    - #### public URL loadGroovySource(String filename)

      Loads a Groovy source file given its name.

      throws:
        java.net.MalformedURLException if the URL is invalid
      Parameters:
        `filename` - name of the file
      Returns:
        a URL